org.eclipse.gef.dot.internal

## Class DotExport

- java.lang.Object
- - org.eclipse.gef.dot.internal.DotExport

    public class DotExport
    extends Object

A serializer that creates a Graphviz DOT string or file from a `Graph` with `DotAttributes`.

### Constructor Summary

Constructors
Constructor and Description
`DotExport()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `exportDot(org.eclipse.gef.graph.Graph graph)`
`File` `exportDot(org.eclipse.gef.graph.Graph graph, String pathname)`
`String` `exportDot(List<org.eclipse.gef.graph.Graph> graphs)`
`File` `exportDot(List<org.eclipse.gef.graph.Graph> graphs, String pathname)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotExport

    public DotExport()

### Method Detail

#### exportDot

    public String exportDot(org.eclipse.gef.graph.Graph graph)

#### exportDot

    public String exportDot(List<org.eclipse.gef.graph.Graph> graphs)

#### exportDot

    public File exportDot(org.eclipse.gef.graph.Graph graph,
                          String pathname)

#### exportDot

    public File exportDot(List<org.eclipse.gef.graph.Graph> graphs,
                          String pathname)